package com.sd.cavphmi.base

interface IBinding<VM : MyBaseViewModel> {
    /**
     * 当期视图
     */
    fun initContentView(): Int

    /**
     * 当期ViewModel 类型
     */
     fun initViewModel(): VM

    /**
     * 初始化ViewModel的id
     *
     * @return layout 里BR的id
     */
    fun initVariableId(): Int


}